Page 59 of 59 FirstFirst ... 495556575859
Results 871 to 874 of 874

Click here to go to the first staff post in this thread.
Thread: Elite Dangerous 2.2.03 - Update incoming.

  1. #871
    Originally Posted by Zac Antonaci View Post (Source)
    Greetings Commanders,

    I’m just posting up to confirm that we have an update making its way to you this morning. The servers will be going down at 10:45 AM GMT and will be down for approximately 2 - 4 hours. We’ll let you know if there are any unexpected delays on this thread.
    Soz, but I don't know where else to put this. I'm trying to load ED onto a computer I've just 'inherited', but every time I try to launch it, a message tells me that 'A newer version of the launcher (0.4.5499.0) is available and must be installed to continue playing. Check the News section for information and updating'.

    Then I click on 'Yes', and am automatically taken to this thread, posted on 22/10/15: https://forums.frontier.co.uk/showth...-1-4-01-update

    There is no sign there of how to aquire the update, unless I'm being blond. I bought the game about five years ago, about the time I joined these forums, to be more specific. Do I need a different update now? I wouldn't have thought the game had changed so much, my old disc can't figure out how to find what it needs. I've been updating fairly regularly on my old computer, though I haven't had much time to play. The 'new' computer has Windows 10, so could that be the problem?

  2. #872
    Originally Posted by TrollhunterX View Post (Source)
    Soz, but I don't know where else to put this. I'm trying to load ED onto a computer I've just 'inherited', but every time I try to launch it, a message tells me that 'A newer version of the launcher (0.4.5499.0) is available and must be installed to continue playing. Check the News section for information and updating'.

    Then I click on 'Yes', and am automatically taken to this thread, posted on 22/10/15: https://forums.frontier.co.uk/showth...-1-4-01-update

    There is no sign there of how to aquire the update, unless I'm being blond. I bought the game about five years ago, about the time I joined these forums, to be more specific. Do I need a different update now? I wouldn't have thought the game had changed so much, my old disc can't figure out how to find what it needs. I've been updating fairly regularly on my old computer, though I haven't had much time to play. The 'new' computer has Windows 10, so could that be the problem?
    Completely the wrong place bud.

    https://forums.frontier.co.uk/forumd...gerous-Support

    this is the part of the forum you seek.
    My System:
    AMD Athlon 860k, MSI A88X-G45 Gaming MoBo, 16GB DDR3, Asus Strix GTX 960 OC 2GB, Windows 10.

  3. #873
    @TrollhunterX

    You can download the launcher from the ED website - click on Downloads (top-right), suggest trying the smaller download (26MB) first.
    Or use this direct link: http://hosting.zaonce.net/elite/Client-Installer.exe

    The above will give you Launcher version 0.4.5912.0 which is (most likely) the minimum version you need (and the one I am using so I know it works).

    But as Micky suggested, I strongly encourage you to post something in the Support section as otherwise FD won't get feedback that their links/processes are broken (they really need to pay a bit more attention to this sort of thing as it must be very off-putting for new players and/or players who are not comfortable with PCs).

  4. #874
    Cheers. I hope I can get help there. Figuring out downloads/installation isn't my strong point...

    - - - Updated - - -

    Thanks for this, I'll try it for starters. I re-posted in the other place as well.

Page 59 of 59 FirstFirst ... 495556575859